/**
 * Class to contain CLI constants
 * @export
 * @class CliConstants
 */
export declare class CliConstants {
    /**
     * Custom log location to prevent logging to default folder based on the package name
     * @static
     * @memberof CliConstants
     */
    static readonly LOG_LOCATION = "zowe/logs/zowe.log";
    /**
     * Display name
     * @static
     * @memberof CliConstants
     */
    static readonly DISPLAY_NAME = "Zowe CLI";
    /**
     * Binary executable name
     * @static
     * @memberof CliConstants
     */
    static readonly BINARY_NAME = "zowe";
    /**
     *
     * Documentation link for the CLI
     * @static
     * @memberof CliConstants
     */
    static readonly DOCUMENTATION_LINK = "https://docs.zowe.org";
    /**
     *
     * Support link for zowe
     * @static
     * @memberof CliConstants
     */
    static readonly SUPPORT_LINK = "https://www.zowe.org";
    /**
     * Description of product
     * @static
     * @memberof CliConstants
     */
    static readonly DESCRIPTION: string;
    /**
     * Home environment variable
     * @static
     * @memberof CliConstants
     */
    static readonly HOME_ENV_KEY = "ZOWE_CLI_HOME";
    /**
     * Prefix for environmental variable settings used by Imperative
     * @static
     * @memberof CliConstants
     */
    static readonly ENV_PREFIX = "ZOWE";
    /**
     * Home directory
     * @static
     * @memberof CliConstants
     */
    static readonly HOME_DIR = "~/.zowe";
}
